%――――――――――――――――――――――――――――――――
% New command to import chapters
\newcommand\addChapter[1]{%
	\input{chapters/#1}
	\newpage
}
\newcommand\addSubChapter[1]{\input{chapters/subchapters/#1}}
%――――――――――――――――――――――――――――――――
% New command to load requirements individual file
\newcommand\addReq[1]{\input{chapters/subchapters/requirements/#1}}
%――――――――――――――――――――――――――――――――
% Add section* and subsection* into Table of Contents
\newcommand\tocSec[1]{%
\section*{#1}%
\addcontentsline{toc}{section}{#1}
}

\newcommand\tocSubSec[1]{%
\subsection*{#1}%
\addcontentsline{toc}{subsection}{#1}
}
%――――――――――――――――――――――――――――――――
% Custom Color Box
\newtcolorbox{mybox}[3][]
{
	colframe = #2!100,
	colback  = #2!10,
	coltitle = white!100,
	title    = {\Large{#3}},
	top=3pt,
	#1,
	}

%――――――――――――――――――――――――――――――――
% Custom Include Graphics
\newcommand\figureCColor[4]{%
	\begin{center}
		\captionsetup{type=figure,hypcap=true,labelfont={color=#4},font={color=#4}}
		\includegraphics[width=#1\textwidth]{#2}
		\caption{#3}
	\end{center}
}

\newcommand\figureFrame[3]{%
	\begin{center}
		\captionsetup{type=figure,hypcap=true}
		\includegraphics[width=#1\textwidth]{#2}
		\caption{#3}
	\end{center}
}

\newcommand\pdfFrame[4]{%
	\begin{center}
		\captionsetup{type=figure,hypcap=true}
		\includegraphics[page=#4,width=#1\textwidth, trim=1cm 2cm 0cm 3cm, clip]{#2}
		\caption{#3}
	\end{center}
}
%――――――――――――――――――――――――――――――――
% Paragraph with line break
\newcommand{\paragraphBreak}[1]{\paragraph{#1}\mbox{}\\}
\newcommand{\paragraphBreakNoNum}[1]{\paragraph*{#1}\mbox{}\\}